import { getColorAlias } from '../../utils/index.js';

function getIconFill(selected, disabled) {
    if (selected && !disabled) {
        return getColorAlias('contentInteractivePrimary');
    }
    if (disabled)
        return getColorAlias('contentDisabled');
    return getColorAlias('contentInteractiveSecondary');
}
function getHoverCursor(disabled, showClose, selected, isLoading) {
    if (disabled)
        return 'not-allowed';
    if ((selected && showClose) || isLoading)
        return 'default';
    return 'pointer';
}

export { getHoverCursor, getIconFill };
